﻿//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;
using System.Drawing;


namespace MindFusion.Spreadsheet.WinForms.Samples.CS.Features
{
	public partial class MergingForm : Form
	{
		public MergingForm()
		{
			InitializeComponent();

			

			var sheet = workbook.Worksheets[0];
			sheet.BeginInit();

			var style = sheet.CellRanges[0, 0, 0x400, 0x100000].Style;
			style.FontName = "Calibri";
			style.FontBold = true;
			style.FontSize = 11;
			style.HorizontalAlignment = HorizontalAlignment.Center;
			style.VerticalAlignment = VerticalAlignment.Middle;

			var mergeBrush = new MindFusion.Drawing.SolidBrush(Color.Yellow);

			sheet.Cells["A1"].Data = "A1:D1";
			sheet.CellRanges["A1:D1"].Merge();
			sheet.CellRanges["A1:D1"].Style.Background = mergeBrush;

			sheet.Cells["A3"].Data = "A3:A7";
			sheet.CellRanges["A3:A7"].Merge();
			sheet.CellRanges["A3:A7"].Style.Background = mergeBrush;

			sheet.Cells["A9"].Data = "A9:C12";
			sheet.CellRanges["A9:C12"].Merge();
			sheet.CellRanges["A9:C12"].Style.Background = mergeBrush;
			
			sheet.EndInit();

			workbookView.Selection.Set(0, 0, 3, 0);
		}

		private void button_Click(object sender, EventArgs e)
		{
			var activeSheet = workbookView.ActiveWorksheet;
			var selectedRange = workbookView.Selection.Range;

			var merge = activeSheet.GetMergedCell(selectedRange.Left, selectedRange.Top);
			if (merge == null || merge.Left != selectedRange.Left || merge.Top != selectedRange.Top ||
				merge.Right != selectedRange.Right || merge.Bottom != selectedRange.Bottom)
			{
				if (!activeSheet.Merge(selectedRange))
					activeSheet.Unmerge(selectedRange);
			}
			else
			{
				activeSheet.Unmerge(selectedRange);
			}
		}
	}
}
