﻿//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Drawing;
using System.IO;
using System.Windows.Forms;
using System.Xml.Linq;


namespace MindFusion.Spreadsheet.WinForms.Samples.CS.Features
{
	public partial class OutlineForm : Form
	{
		public OutlineForm()
		{
			InitializeComponent();

			var document = XDocument.Parse(Properties.Resources.Outlines);
			workbook.LoadFromXml(document);
		}

		private void btnGroupRows_Click(object sender, EventArgs e)
		{
			var selection = workbookView.Selection;
			using (workbook.StartChangeOperation(workbookView.ActiveWorksheet))
			{
				if (!workbookView.ActiveWorksheet.Rows[selection.Top, selection.Bottom].Group())
					MessageBox.Show(this, "Unable to group the selected rows.", "Grouping", MessageBoxButtons.OK, MessageBoxIcon.Warning);
			}
		}

		private void btnUngroupRows_Click(object sender, EventArgs e)
		{
			var selection = workbookView.Selection;
			using (workbook.StartChangeOperation(workbookView.ActiveWorksheet))
			{
				if (!workbookView.ActiveWorksheet.Rows[selection.Top, selection.Bottom].Ungroup())
					MessageBox.Show(this, "Unable to ungroup the selected rows.", "Grouping", MessageBoxButtons.OK, MessageBoxIcon.Warning);
			}
		}

		private void btnGroupColumns_Click(object sender, EventArgs e)
		{
			var selection = workbookView.Selection;
			using (workbook.StartChangeOperation(workbookView.ActiveWorksheet))
			{
				if (!workbookView.ActiveWorksheet.Columns[selection.Left, selection.Right].Group())
					MessageBox.Show(this, "Unable to group the selected columns.", "Grouping", MessageBoxButtons.OK, MessageBoxIcon.Warning);
			}
		}

		private void btnUngroupColumns_Click(object sender, EventArgs e)
		{
			var selection = workbookView.Selection;
			using (workbook.StartChangeOperation(workbookView.ActiveWorksheet))
			{
				if (!workbookView.ActiveWorksheet.Columns[selection.Left, selection.Right].Ungroup())
					MessageBox.Show(this, "Unable to ungroup the selected columns.", "Grouping", MessageBoxButtons.OK, MessageBoxIcon.Warning);
			}
		}
	}
}
