﻿//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;
using System.Drawing;


namespace MindFusion.Spreadsheet.WinForms.Samples.CS.Features
{
	public partial class StylesForm : Form
	{
		public StylesForm()
		{
			InitializeComponent();

			var sheet = workbook.Worksheets[0];

			var sheetStyle = sheet.CellRanges[0, 0, 0x400, 0x100000].Style;
			sheetStyle.FontName = "Calibri";
			sheetStyle.TextColor = Color.FromArgb(0xff, 0x80, 0x80, 0x80);
			sheet.CellRanges[4, 4, 0x400, 0x100000].Style.Background = new MindFusion.Drawing.SolidBrush(Color.WhiteSmoke);

			var rangeStyle = sheet.CellRanges[1, 1, 5, 5].Style;
			rangeStyle.FontSize = 12;
			rangeStyle.TextColor = Color.FromArgb(0xff, 0x30, 0x30, 0x30);
			rangeStyle.Background = new MindFusion.Drawing.SolidBrush(Color.NavajoWhite);
			rangeStyle.BorderBottomColor = rangeStyle.BorderLeftColor =
				rangeStyle.BorderRightColor = rangeStyle.BorderTopColor = Color.Red;

			var rowStyle = sheet.Rows[0, 3].Style;
			rowStyle.Background = new MindFusion.Drawing.SolidBrush(Color.MintCream);
			rowStyle.FontUnderline = true;
			rowStyle.FontSize = 14;
			rowStyle.HorizontalAlignment = HorizontalAlignment.Center;
			rowStyle.VerticalAlignment = VerticalAlignment.Middle;
			rowStyle.BorderBottomColor = rowStyle.BorderLeftColor =
				rowStyle.BorderRightColor = rowStyle.BorderTopColor = Color.Blue;

			var columnStyle =sheet.Columns[0, 3].Style;
			columnStyle.Background = new MindFusion.Drawing.SolidBrush(Color.OldLace);
			columnStyle.FontItalic = true;
			columnStyle.FontSize = 14;
			columnStyle.HorizontalAlignment = HorizontalAlignment.Right;
			columnStyle.VerticalAlignment = VerticalAlignment.Middle;
			columnStyle.BorderBottomColor = columnStyle.BorderLeftColor =
				columnStyle.BorderRightColor = columnStyle.BorderTopColor = Color.Orange;

			sheet.Columns[0].Width = Measure.Point(55);
			sheet.Columns[1, 5].Width = Measure.Point(70);
			sheet.Rows[0].Height = Measure.Point(25);
			sheet.Rows[1, 5].Height = Measure.Point(18);

			sheet.BeginInit();

			for (int c = 1; c <= 5; )
				sheet.Cells[c, 0].Data = string.Format("Column {0}", c++);

			for (int r = 1; r <= 5; )
				sheet.Cells[0, r].Data = string.Format("Row {0}", r++);

			for (int c = 1; c <= 5; c++)
				for (int r = 1; r <= 5; r++)
					sheet.Cells[c, r].Data = string.Format("=ADDRESS({0},{1},4)", r + 1, c + 1);

			sheet.EndInit();
		}
	}
}
